Create jobs for onap-oom-nofeature 86/1786/4
authorFatih Degirmenci <fdegir@gmail.com>
Mon, 29 Jul 2019 19:19:42 +0000 (21:19 +0200)
committerFatih Degirmenci <fdegir@gmail.com>
Mon, 29 Jul 2019 19:59:03 +0000 (21:59 +0200)
Change-Id: I8b27a8398b00235bc96f6d143fe03f2f318aa752

jjb/cloud-infra/cloud-infra-periodic-onap.yaml [new file with mode: 0644]
jjb/cloud-infra/onap-deploy.sh [new file with mode: 0755]
jjb/cloud-infra/onap-healthcheck.sh [new file with mode: 0644]
jjb/cloud-infra/onap-macros.yaml [new file with mode: 0644]
jjb/cloud-infra/oom-healthcheck.sh [new file with mode: 0644]
jjb/cloud-infra/prepare-for-xtesting.sh [new file with mode: 0644]
jjb/cloud-infra/promote-onap.sh [new file with mode: 0644]

diff --git a/jjb/cloud-infra/cloud-infra-periodic-onap.yaml b/jjb/cloud-infra/cloud-infra-periodic-onap.yaml
new file mode 100644 (file)
index 0000000..bdb313d
--- /dev/null
@@ -0,0 +1,391 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+#--------------------------------------------------------------------------------------
+# The jobs declared in this JJB configuration file are used for verifying cloud-infra
+# engine from the tip of the master branch periodically to check the stability of it.
+#
+# These jobs are set to run on slaves with label vpod-deploy-ubuntu1604.
+# The slaves have
+#   - Ubuntu1604 as the base distro
+#   - nested virtualization
+#   - internet access
+#   - passwordless sudo
+#   - 16 CPUs/32GB RAM/200 GB Disk
+#   - docker, git vim curl wget zip unzip chrony apt-transport-https ca-certificates curl
+#     gnupg-agent software-properties-common docker-ce docker-ce-cli containerd.io openjdk-8-jre
+#
+# The slaves should not have a cloud infra scenario deployed on them.
+#--------------------------------------------------------------------------------------
+
+- project:
+    name: 'cloud-infra-periodic-onap'
+
+    project: 'infra/engine'
+
+    onap-branch:
+      - 'dublin':
+          nordix-branch: master
+          onap-version: 4.0.0-ONAP
+          onap-flavor: full
+          engine-version: master
+          engine-refspec: master
+          deploy-scenario-version: master
+          deploy-scenario-refspec: master
+          disabled: false
+
+    distro:
+      - ubuntu1804:
+          disabled: 'false'
+
+    deploy-scenario:
+      - onap-oom-nofeature:
+          installer-type: kubespray
+
+    type:
+      - cloud:
+          provisioner-type: heat
+          slave-label: 'jumphost-onap-ubuntu1804'
+
+    phase:
+      - onap-deploy:
+          build-timeout: 150
+      - oom-healthcheck:
+          build-timeout: 30
+      - onap-healthcheck:
+          build-timeout: 30
+      - promote-onap:
+          build-timeout: 5
+
+    jobs:
+      - '{deploy-scenario}-periodic-{distro}-{type}-{onap-branch}'
+      - '{phase}-periodic-{distro}-{type}-{onap-branch}'
+
+- job-template:
+    name: '{deploy-scenario}-periodic-{distro}-{type}-{onap-branch}'
+
+    project-type: multijob
+
+    disabled: '{obj:disabled}'
+
+    concurrent: true
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{nordix-branch}'
+      - label:
+          name: SLAVE_LABEL
+          default: '{slave-label}'
+          description: 'Slave label to schedule this job on. All slaves have Ubuntu1604 no matter what distro target nodes use'
+      - string:
+          name: DISTRO
+          default: '{distro}'
+          description: 'Distribution to use for configuring target nodes (networking etc.)'
+      - string:
+          name: PROVISIONER_TYPE
+          default: '{provisioner-type}'
+          description: 'Provisioner to use for provisioning nodes'
+      - string:
+          name: INSTALLER_TYPE
+          default: '{installer-type}'
+          description: 'Installer to use for deploying the scenario'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: '{deploy-scenario}'
+          description: 'Scenario to deploy and test'
+      - string:
+          name: HEAT_ENVIRONMENT_FILE
+          default: "file://$WORKSPACE/.cache/repos/swconfig/scenarios/$DEPLOY_SCENARIO/$INSTALLER_TYPE/role/$DEPLOY_SCENARIO/files/heat-environment-full.yaml"
+          description: 'Type of the deployment'
+      - string:
+          name: DEPLOY_TYPE
+          default: '{type}'
+          description: 'Type of the deployment'
+      - string:
+          name: ONAP_VERSION
+          default: '{onap-version}'
+          description: 'ONAP version to deploy'
+      - string:
+          name: ONAP_FLAVOR
+          default: '{onap-flavor}'
+          description: 'ONAP flavor to deploy - could be core, small, medium, full. Also used for xtesting as run_type.'
+      - string:
+          name: ENGINE_REPO_URL
+          default: 'https://gerrit.nordix.org/infra/engine.git'
+          description: 'URL to Nordix cloud-infra/engine repository'
+      - string:
+          name: ENGINE_VERSION
+          default: '{engine-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Could be sha, branch'
+      - string:
+          name: ENGINE_REFSPEC
+          default: '{engine-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Must be refspec.'
+      - string:
+          name: DEPLOY_SCENARIO_VERSION
+          default: '{deploy-scenario-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_REFSPEC and could be sha, branch.'
+      - string:
+          name: DEPLOY_SCENARIO_REFSPEC
+          default: '{deploy-scenario-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_VERSION and must be refspec.'
+      - string:
+          name: XTESTING_REPO_URL
+          default: 'https://gerrit.nordix.org/opnfv/xtesting-onap.git'
+          description: 'URL to Nordix xtesting-onap repository'
+      - string:
+          name: ENGINE_ANSIBLE_PARAMS
+          default: ''
+          description: 'Extra parameters that can be added when run the play books.'
+      - string:
+          name: CLEANUP
+          default: 'true'
+          description: 'Cleanup leftovers of the previous run'
+
+    properties:
+      - logrotate
+      - build-blocker:
+          use-build-blocker: true
+          blocking-jobs:
+            - 'cloud-infra-periodic-engine-.*'
+            - 'onap-.*'
+            - 'k8-.*'
+          block-level: 'NODE'
+      - throttle:
+          max-per-node: 1
+          max-total: 3
+          option: project
+
+    wrappers:
+      - build-timeout:
+          timeout: 220
+      - fix-workspace-permissions
+
+    scm:
+      - git-scm:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{nordix-branch}'
+          refspec: ''
+          wipe_workspace: true
+          clean_before: false
+
+    builders:
+      - description-setter:
+          description: $INSTALLER_TYPE | $DEPLOY_SCENARIO
+      - multijob:
+          name: Deploy ONAP
+          condition: SUCCESSFUL
+          projects:
+            - name: 'onap-deploy-periodic-{distro}-{type}-{onap-branch}'
+              current-parameters: true
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                PROVISIIONER_TYPE=$PROVISIIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                HEAT_ENVIRONMENT_FILE=$HEAT_ENVIRONMENT_FILE
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_FLAVOR=$ONAP_FLAVOR
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+                CLEANUP=$CLEANUP
+              git-revision: true
+              node-parameters: true
+              kill-phase-on: FAILURE
+              abort-all-job: true
+      - multijob:
+          name: OOM Healthcheck
+          condition: SUCCESSFUL
+          projects:
+            - name: 'oom-healthcheck-periodic-{distro}-{type}-{onap-branch}'
+              current-parameters: true
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                HEAT_ENVIRONMENT_FILE=$HEAT_ENVIRONMENT_FILE
+                PROVISIIONER_TYPE=$PROVISIIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_FLAVOR=$ONAP_FLAVOR
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+                CLEANUP=$CLEANUP
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: ONAP Healthcheck
+          condition: SUCCESSFUL
+          projects:
+            - name: 'onap-healthcheck-periodic-{distro}-{type}-{onap-branch}'
+              current-parameters: true
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                PROVISIIONER_TYPE=$PROVISIIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                HEAT_ENVIRONMENT_FILE=$HEAT_ENVIRONMENT_FILE
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_FLAVOR=$ONAP_FLAVOR
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+                CLEANUP=$CLEANUP
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: Promote ONAP
+          condition: SUCCESSFUL
+          projects:
+            - name: 'promote-onap-periodic-{distro}-{type}-{onap-branch}'
+              current-parameters: true
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                HEAT_ENVIRONMENT_FILE=$HEAT_ENVIRONMENT_FILE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_FLAVOR=$ONAP_FLAVOR
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+                CLEANUP=$CLEANUP
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+
+- job-template:
+    name: '{phase}-periodic-{distro}-{type}-{onap-branch}'
+
+    disabled: false
+
+    concurrent: true
+
+    properties:
+      - logrotate
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{nordix-branch}'
+      - label:
+          name: SLAVE_LABEL
+          default: 'jumphost-onap-ubuntu1804'
+          description: 'Slave label to schedule this job on. All slaves have Ubuntu1604 no matter what distro target nodes use'
+      - string:
+          name: DISTRO
+          default: 'ubuntu1804'
+          description: 'Distribution to use for configuring target nodes (networking etc.). Overriden by upstream job.'
+      - string:
+          name: PROVISIONER_TYPE
+          default: 'heat'
+          description: 'Provisioner to use for provisioning nodes'
+      - string:
+          name: INSTALLER_TYPE
+          default: 'kubespray'
+          description: 'Installer to use for deploying the scenario'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: 'onap-oom-nofeature'
+          description: 'Scenario to deploy and test'
+      - string:
+          name: HEAT_ENVIRONMENT_FILE
+          default: "file://$WORKSPACE/.cache/repos/swconfig/scenarios/$DEPLOY_SCENARIO/$INSTALLER_TYPE/role/$DEPLOY_SCENARIO/files/heat-environment-full.yaml"
+          description: 'Type of the deployment'
+      - string:
+          name: DEPLOY_TYPE
+          default: 'cloud'
+          description: 'Type of the deployment. Overriden by upstream job.'
+      - string:
+          name: ONAP_VERSION
+          default: 'master'
+          description: 'ONAP version to deploy'
+      - string:
+          name: ONAP_FLAVOR
+          default: '{onap-flavor}'
+          description: 'ONAP flavor to deploy - could be core, small, medium, full. Also used for xtesting as run_type.'
+      - string:
+          name: ENGINE_VERSION
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Could be sha, branch'
+      - string:
+          name: ENGINE_REFSPEC
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Must be refspec.'
+      - string:
+          name: DEPLOY_SCENARIO_VERSION
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_REFSPEC and could be sha, branch.'
+      - string:
+          name: DEPLOY_SCENARIO_REFSPEC
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_VERSION and must be refspec.'
+      - string:
+          name: XTESTING_REPO_URL
+          default: 'https://gerrit.nordix.org/opnfv/xtesting-onap.git'
+          description: 'URL to Nordix xtesting-onap repository'
+      - string:
+          name: ENGINE_ANSIBLE_PARAMS
+          default: ''
+          description: 'Extra parameters that can be added when run the play books.'
+      - string:
+          name: CLEANUP
+          default: 'true'
+
+    wrappers:
+      - build-timeout:
+          timeout: '{build-timeout}'
+      - fix-workspace-permissions
+
+    scm:
+      - git-scm:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{nordix-branch}'
+          refspec: ''
+          wipe_workspace: true
+          clean_before: false
+
+    builders:
+      - description-setter:
+          description: $INSTALLER_TYPE - $DEPLOY_SCENARIO
+      - '{phase}-macro'
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/onap-deploy.sh b/jjb/cloud-infra/onap-deploy.sh
new file mode 100755 (executable)
index 0000000..284a101
--- /dev/null
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+cd $WORKSPACE
+echo "Info: Preparing for ONAP deployment"
+
+# checkout given engine version
+if [[ "$ENGINE_VERSION" != "master" ]]; then
+  echo "Warning: Checking out $ENGINE_VERSION"
+  git checkout -q $ENGINE_VERSION
+fi
+
+# checkout given engine refspec
+if [[ "$ENGINE_REFSPEC" != "master" ]]; then
+  echo "Warning: Checking out $ENGINE_REFSPEC"
+  git fetch -q https://gerrit.nordix.org/infra/engine $ENGINE_REFSPEC && git checkout -q FETCH_HEAD
+fi
+
+# update scenario version and refspec in engine/envine/var/sdf.yml
+if [[ "$DEPLOY_SCENARIO_VERSION" != "master" && "$DEPLOY_SCENARIO_REFSPEC" != "master" ]]; then
+  echo "Warning: Adding $DEPLOY_SCENARIO_VERSION as scenario version and $DEPLOY_SCENARIO_REFSPEC as scenario refspec"
+cat << EOF > $WORKSPACE/engine/var/sdf.yml
+scenario:
+  $DEPLOY_SCENARIO:
+    scm: git
+    src: https://gerrit.nordix.org/infra/swconfig.git
+    version: $DEPLOY_SCENARIO_VERSION
+    refspec: $DEPLOY_SCENARIO_REFSPEC
+    provisioners:
+      - $PROVISIONER_TYPE
+    installers:
+      $INSTALLER_TYPE:
+        role: scenarios/$DEPLOY_SCENARIO/$INSTALLER_TYPE/role/$DEPLOY_SCENARIO
+        distros:
+          - $DISTRO
+EOF
+fi
+
+echo "Info: Starting K8S cluster creation and ONAP deployment"
+echo "-------------------------------------------------------------------------"
+cd $WORKSPACE
+./deploy.sh -c -r $PROVISIONER_TYPE -u $OPENRC_FILE \
+  -s $DEPLOY_SCENARIO -e $HEAT_ENVIRONMENT_FILE
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/onap-healthcheck.sh b/jjb/cloud-infra/onap-healthcheck.sh
new file mode 100644 (file)
index 0000000..bea59ae
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+cd $WORKSPACE
+echo "Info: Starting ONAP Healthcheck using XTesting"
+echo "-------------------------------------------------------------------------"
+echo "Warning: Not implemented!"
+echo "-------------------------------------------------------------------------"
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/onap-macros.yaml b/jjb/cloud-infra/onap-macros.yaml
new file mode 100644 (file)
index 0000000..85b5add
--- /dev/null
@@ -0,0 +1,52 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# macros used by all job types
+- builder:
+    name: 'onap-deploy-macro'
+    builders:
+      - shell:
+          !include-raw: ./wait-for-pkg-manager.sh
+      - shell:
+          !include-raw: ./onap-deploy.sh
+
+- builder:
+    name: 'oom-healthcheck-macro'
+    builders:
+      - shell:
+          !include-raw: ./prepare-for-xtesting.sh
+      - shell:
+          !include-raw: ./oom-healthcheck.sh
+
+- builder:
+    name: 'onap-healthcheck-macro'
+    builders:
+      - shell:
+          !include-raw: ./prepare-for-xtesting.sh
+      - shell:
+          !include-raw: ./onap-healthcheck.sh
+
+- builder:
+    name: 'promote-onap-macro'
+    builders:
+      - shell:
+          !include-raw: ./promote-onap.sh
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/oom-healthcheck.sh b/jjb/cloud-infra/oom-healthcheck.sh
new file mode 100644 (file)
index 0000000..7d1ec53
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+cd $WORKSPACE
+echo "Info: Starting OOM Healthcheck using XTesting"
+echo "-------------------------------------------------------------------------"
+echo "Warning: Not implemented!"
+echo "-------------------------------------------------------------------------"
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/prepare-for-xtesting.sh b/jjb/cloud-infra/prepare-for-xtesting.sh
new file mode 100644 (file)
index 0000000..aaf9195
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+echo "Info: Cloning infra/test repository"
+cd $HOME && /bin/rm -rf $WORKSPACE
+git clone -q $XTESTING_REPO_URL $WORKSPACE
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/cloud-infra/promote-onap.sh b/jjb/cloud-infra/promote-onap.sh
new file mode 100644 (file)
index 0000000..2ac25dd
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+cd $WORKSPACE
+echo "Info: Promoting ONAP"
+echo "-------------------------------------------------------------------------"
+echo "Warning: Not implemented!"
+echo "-------------------------------------------------------------------------"
+
+# vim: set ts=2 sw=2 expandtab: